Reporting
Return all diamond unlock records matching the filters defined by the query parameters.
Page number
1100Search for a diamond unlock record by its diamond_id or participant_id.
Filter to unlock records for diamonds that were unlocked on or after the specified date and time.
Filter to unlock records for diamonds that were before the specified date and time.
-unlocked_at,diamond_idSuccessful Response
A paginated response containing zero or more diamond unlock records.
The URL for the next page.
The number of the current page.
The total number of pages.
The URL of the previous page.
The total number of results across all pages.
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
GET /reporting/unlocked HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
{
"next": "text",
"page": 1,
"pages": 1,
"previous": "text",
"results": [
{
"carat_range": "text",
"carat_weight": "text",
"diamond_id": "text",
"participant_id": "text",
"unit_price": "text",
"unlocked_at": "2026-01-01T00:00:00.000Z"
}
],
"total": 1
}Export all diamond unlock records matching the filters defined by the query parameters as an excel spreadsheet.
Search for a diamond unlock record by its diamond_id or participant_id.
Filter to unlock records for diamonds that were unlocked on or after the specified date and time.
Filter to unlock records for diamonds that were before the specified date and time.
-unlocked_at,diamond_idSuccessful Response
Unauthorized: The request has not been applied because it lacks valid authentication credentials for the target resource.
Forbidden: The application does not have sufficient permissions for this operation.
Unprocessable Entity, request JSON body is not as per specification
Internal Server Error. If this error persists please contact the Platform Admin team.
GET /reporting/unlocked/export HTTP/1.1
Host: api.<id>.tracr.network
Accept: */*
No content
Last updated